<?php
/**
 * Init Init
 *
 * @version 1.0.1
 * @package 'datalayer-for-woocommerce'
 */

namespace DatalayerForWoocommerceFree;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Init' ) ) :
	/**
	 * Class Init
	 */
	final class Init {

		/**
		 * Const PLUGIN_PATH
		 *
		 * @const PLUGIN_PATH
		 */
		const PLUGIN_PATH = __FILE__;

		/**
		 * Instance of this class.
		 *
		 * @var $instance
		 */
		protected static $instance = null;

		/**
		 * Return an instance of this class.
		 *
		 * @return static::$instance
		 */
		public static function instance() {
			if ( null === static::$instance ) {
				static::$instance = new static();
			}
			return static::$instance;
		}

		/**
		 * Init constructor.
		 */
		private function __construct() {
			$this->register_hooks();
			$this->register_admin_classes();
			$this->register_public_classes();
		}

		/**
		 * Register_hooks function.
		 */
		public function register_hooks() {
			add_action( 'init', array( $this, 'load_plugin_textdomain' ) );
		}

		/**
		 * Load_plugin_textdomain function
		 */
		public function load_plugin_textdomain() {
			load_plugin_textdomain( 'datalayer-for-ecommerce-free', false, 'datalayer-for-ecommerce-free/languages/');
		}

		/**
		 * Register_admin_classes function.
		 */
		private function register_admin_classes() {
			if ( is_admin() ) {
				if ( ! class_exists( 'AdminPage' ) ) :
					AdminPage::instance();
				endif;
			}
		}

		/**
		 * Register_public_classes function.
		 */
		private function register_public_classes() {
			if ( ! class_exists( 'RegisterTagManager' ) ) :
				RegisterTagManager::instance();
			endif;
			if ( ! class_exists( 'RenderDataLayerPro' ) ) :
				RenderDataLayerPro::instance();
			endif;
		}
	}
endif;
